@use '../../../../../styles/helpers/breakpoints';

@mixin tag-list {
  display: flex;
  flex-wrap: wrap;
  gap: 0.5rem;
}

.search-bar-wrapper {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;

  margin-bottom: 0.5rem;

  @include breakpoints.sm {
    flex-direction: row;

    align-items: center;
    justify-content: space-between;
  }

  .search-bar {
    flex-grow: 1;
  }
}

.tag-groups {
  display: flex;
  flex-direction: column;
  gap: 0.75rem;

  .tag-group {
    display: flex;
    flex-direction: column;
    row-gap: 0.25rem;

    &__header {
      display: flex;
      align-items: center;
      column-gap: 1rem;

      .header {
        &__title {
          margin: 0;
        }

        &__divider {
          flex-grow: 1;
        }
      }
    }

    &__tags {
      @include tag-list();
    }
  }
}

.tags-skeleton {
  @include tag-list();
}
